Bug 43679 - c++ segfaults during make of octave-2.1.34
c++ segfaults during make of octave-2.1.34
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 23:51 EDT by pdenis2
Modified: 2012-06-18 02:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-07 17:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make output (edited) (2.56 KB, text/plain)
2001-06-06 00:26 EDT, pdenis2
no flags Details

  None (edit)
Description pdenis2 2001-06-05 23:51:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.1 i686)

Description of problem:
internal error segfault during compilation of various octave modules.  Can
resume make, compiles a number of modules OK, then segfaults again.

How reproducible:
Always

Steps to Reproduce:
1./configure --enable-shared --enable-lite-kernel
2.make
3.
	

Actual Results:  part way thru build c++ reports internal error: segfault:
c++ -c  -fPIC -I. -I.. -I../liboctave -I../src -I../libcruft/misc 
-I../glob -I../glob -DHAVE_CONFIG_H -mieee-fp -fno-implicit-templates -g
-O2 -Wall ./DLD-FUNCTIONS/quad.cc -o pic/quad.o
./DLD-FUNCTIONS/quad.cc: In function `octave_value_list 
show_quad_option (const string &)':
./DLD-FUNCTIONS/quad.cc:397: Internal error: Segmentation fault.

Can resume build with 'make'.  Picks up where it left off then later
segfaults again on a different module.  See attachment.

Expected Results:  no segfaults

Additional info:

2.2.19-7.0.1 #1 Sat May 5 20:50:55 PDT 2001 i686 unknown [Athlon
256MB/256MB swap)
gcc-2.96.69
glibc-2.2.12
Comment 1 pdenis2 2001-06-06 00:26:01 EDT
Created attachment 20412 [details]
make output (edited)
Comment 2 Jakub Jelinek 2001-06-06 04:35:41 EDT
Make output is not useful. Can you add -save-temps -v options to gcc command
lines which cause segfaults and attach here preprocessed sources it creates
(files with .ii extension)?
And if you have time, try a newer gcc (the one from RHL 7.1 or even better
from rawhide) instead?
Comment 3 pdenis2 2001-06-07 17:25:37 EDT
jakub -- please ignore this bug report for now.  I've got hardware problems 
that may be causing this behavior (kernel oopses, spontaneous reboots --> CPU 
fan dead). I'll try again after things get fixed.  At least I got updated gcc's 
out of it.  Thanks. --peter
Comment 4 Jakub Jelinek 2001-07-23 11:35:06 EDT
Please reopen the bug if you find something reproducible.

Note You need to log in before you can comment on or make changes to this bug.